System.Xml 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Assembly)

The .NET Framework XML serialization infrastructure dynamically generates derivations of that are optimized to serialize user-defined types. The serializers are stored in assemblies that can be reused for efficient serialization.

The attribute stores version information about the parent assembly for which a set of serializers is generated. Later, when the constructor is called, the infrastructure attempts to locate the pre-generated assembly. If the infrastructure finds an assembly with a matching name, the assembly is loaded and the infrastructure checks for a match between the found assembly's version and the current version of the parent assembly. If the version does not match, the found assembly is not used. Instead, a temporary assembly is generated for the serialization.

Signifies that the code was generated by the serialization infrastructure and can be reused for increased performance, when this attribute is applied to an assembly.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class for the specified type.

  The type that is being serialized.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the common language runtime (CLR) namespace of the assembly.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The assembly identity consists of the assembly's version, assembly name, and culture information.

  Gets or sets the identity of the parent assembly.

- Property
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Gets or sets the type that the serializer operates on.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the assembly's version number.